LibOFX

Functions | Variables
lib/messages.cpp File Reference

Message IO functionality. More...

Go to the source code of this file.

## Functions
void | show_line_number ()
int | message_out (OfxMsgType error_type, const string message)
| Message output function. More...

## Variables
SGMLApplication::OpenEntityPtr | entity_ptr
SGMLApplication::Position | position
int | ofx_PARSER_msg = false
int | ofx_DEBUG_msg = false
int | ofx_DEBUG1_msg = false
int | ofx_DEBUG2_msg = false
int | ofx_DEBUG3_msg = false
int | ofx_DEBUG4_msg = false
int | ofx_DEBUG5_msg = false
int | ofx_STATUS_msg = false
int | ofx_INFO_msg = false
int | ofx_WARNING_msg = false
int | ofx_ERROR_msg = true
int | ofx_show_position = true

## Detailed Description

Message IO functionality.

Definition in file lib/messages.cpp.

## Function Documentation

## ◆ message_out()

int message_out | ( | OfxMsgType | error_type,
|  | const string | message
| ) |  |

Message output function.

Prints a message to stdout, if the corresponding message OfxMsgType given in the parameters is enabled

Definition at line 61 of file lib/messages.cpp.

## Variable Documentation

## ◆ entity_ptr

SGMLApplication::OpenEntityPtr entity_ptr

Global for determining the line number in OpenSP

Definition at line 27 of file lib/messages.cpp.

Referenced by OFCApplication::openEntityChange(), and OFXApplication::openEntityChange().

## ◆ ofx_DEBUG1_msg

int ofx_DEBUG1_msg = false

If set to true, debug level 1 messages will be printed to the console

Definition at line 32 of file lib/messages.cpp.

## ◆ ofx_DEBUG2_msg

int ofx_DEBUG2_msg = false

If set to true, debug level 2 messages will be printed to the console

Definition at line 33 of file lib/messages.cpp.

## ◆ ofx_DEBUG3_msg

int ofx_DEBUG3_msg = false

If set to true, debug level 3 messages will be printed to the console

Definition at line 34 of file lib/messages.cpp.

## ◆ ofx_DEBUG4_msg

int ofx_DEBUG4_msg = false

If set to true, debug level 4 messages will be printed to the console

Definition at line 35 of file lib/messages.cpp.

## ◆ ofx_DEBUG5_msg

int ofx_DEBUG5_msg = false

If set to true, debug level 5 messages will be printed to the console

Definition at line 36 of file lib/messages.cpp.

## ◆ ofx_DEBUG_msg

int ofx_DEBUG_msg = false

If set to true, general debug messages will be printed to the console

Definition at line 31 of file lib/messages.cpp.

Referenced by main(), and message_out().

## ◆ ofx_ERROR_msg

int ofx_ERROR_msg = true

If set to true, error messages will be printed to the console

Definition at line 40 of file lib/messages.cpp.

Referenced by main().

## ◆ ofx_INFO_msg

int ofx_INFO_msg = false

If set to true, information messages will be printed to the console

Definition at line 38 of file lib/messages.cpp.

Referenced by main().

## ◆ ofx_PARSER_msg

int ofx_PARSER_msg = false

If set to true, parser events will be printed to the console

Definition at line 30 of file lib/messages.cpp.

Referenced by main().

## ◆ ofx_show_position

int ofx_show_position = true

If set to true, the line number will be shown after any error

Definition at line 41 of file lib/messages.cpp.

## ◆ ofx_STATUS_msg

int ofx_STATUS_msg = false

If set to true, status messages will be printed to the console

Definition at line 37 of file lib/messages.cpp.

Referenced by main().

## ◆ ofx_WARNING_msg

int ofx_WARNING_msg = false

If set to true, warning messages will be printed to the console

Definition at line 39 of file lib/messages.cpp.

Referenced by main().

## ◆ position

SGMLApplication::Position position

Global for determining the line number in OpenSP

Definition at line 28 of file lib/messages.cpp.

Referenced by OFCApplication::data(), OFXApplication::data(), OFCApplication::endElement(), OFXApplication::endElement(), OFCApplication::error(), OFXApplication::error(), OFCApplication::startElement(), and OFXApplication::startElement().